Package: groovy.mock.interceptor

## [Groovy] Class StrictExpectation

- groovy.mock.interceptor.StrictExpectation

-     class StrictExpectation
      extends Object

  Expects demanded call cardinalities to match demanded ranges in the sequence of recording.

  See Also:
    LooseExpectation

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `fCallSpecIdx` Index of the next demand expected to match.
    `List` | `fCalls` Per-demand invocation counters used during verification.
    `Demand` | `fDemand` Demand definition being matched.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StrictExpectation(Demand demand)` Creates a strict expectation backed by the supplied demand definition.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Closure` | `match(String name)` Match the requested method name against eligible demands.
    `` | `void` | `verify()` verify all calls are in expected range

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### int fCallSpecIdx

      Index of the next demand expected to match.

    - #### List fCalls

      Per-demand invocation counters used during verification.

    - #### Demand fDemand

      Demand definition being matched.

  - ### Constructor Detail

    - #### StrictExpectation(Demand demand)

      Creates a strict expectation backed by the supplied demand definition.

      Parameters:
        `demand` - the recorded demand specification

  - ### Method Detail

    - #### Closure match(String name)

      Match the requested method name against eligible demands. Fail early if no match possible. Return the demand's behavior closure on match. Also skips over names matching ignore filter, if any.

    - #### void verify()

      verify all calls are in expected range